using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class featuresToggle : MonoBehaviour
{
    /// <summary> array of toggles </summary>
    [SerializeField] private Toggle[] toggles;
    /// <summary> reference to script AlignModels </summary>
    [SerializeField] private AlignModels align;

    /// <summary> Filtration settings </summary>
    public void ToggleInvoke()
    {
        if (toggles[0].isOn)
            align.averageCondition = true;
        else
            align.averageCondition = false;

        if (toggles[1].isOn)
            align.gradientCondition = true;
        else
            align.gradientCondition = false;
    }
}
